import type React from "react";
/**
 * Copied from https://github.com/grrowl/react-keyed-flatten-children (since ESM import doesn't work with the module)
 *
 * Similar to [React's built-in `Children.toArray` method](https://reactjs.org/docs/react-api.html#reactchildrentoarray),
 * this utility takes children and returns them as an array for introspection or filtering.
 *
 * Different from `Children.toArray`, it will flatten arrays and `React.Fragment`s into a regular, one-dimensional
 * array while ensuring element and fragment keys are preserved, unique, and stable between renders.
 */
export declare const flattenChildren: (children: React.ReactNode, depth?: number, keys?: string[]) => any;
