import React from "react";
import type { TooltipContentProps } from "./TooltipContent";
import type { TooltipConditionalProps } from "./types";
type BaseProps = Pick<TooltipContentProps, "placement" | "portalContainer" | "contentPadding" | "maxWidth" | "subTheme" | "onOverflowViewport"> & {
    /**  Tooltip content */
    content: React.ReactElement;
    "data-e2e-test-id"?: string;
    /**  Called when tooltip appears and disappears */
    onVisibilityChange?: (isVisible: boolean) => void;
};
export type BaseTooltipProps = BaseProps & TooltipConditionalProps;
export declare function BaseTooltip({ placement, content, children, externalTriggerRef, portalContainer, contentPadding, maxWidth, subTheme, "data-e2e-test-id": dataE2eTestId, onVisibilityChange, }: BaseTooltipProps): React.ReactElement;
export {};
